Skip to main content
GET
/
v1
/
adc-designs
List ADC designs for a candidate
curl --request GET \
  --url https://api.example.com/v1/adc-designs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "candidate_id": "<string>",
      "name": "<string>",
      "linker_name": "<string>",
      "linker_type": "<string>",
      "payload_name": "<string>",
      "conjugation_method": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "object": "adc_design",
      "linker_smiles": "<string>",
      "payload_smiles": "<string>",
      "payload_class": "<string>",
      "payload_clogp": 123,
      "conjugation_site": "<string>",
      "dar_target": 123,
      "analysis": {},
      "notes": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

candidate_id
string<uuid>
required
limit
integer
default:50
Required range: 1 <= x <= 200
after
string | null

Response

Successful Response

data
AdcDesign · object[]
required
has_more
boolean
required
next_cursor
string | null